Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 599608 (CVE-2016-9189) - <dev-python/pillow-3.4.2: Integer overflows leading to memory disclosure in PyImaging_MapBuffer (Map.c)
Summary: <dev-python/pillow-3.4.2: Integer overflows leading to memory disclosure in P...
Status: RESOLVED FIXED
Alias: CVE-2016-9189
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A4 [glsa glsa blocked]
Keywords:
Depends on: CVE-2016-9190
Blocks:
  Show dependency tree
 
Reported: 2016-11-12 18:41 UTC by Ian Zimmerman
Modified: 2016-12-31 14:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Zimmerman 2016-11-12 18:41:08 UTC
According to the RedHat summary:

Integer overflow vulnerabilities were found in PyImaging_MapBuffer function, specifically there's unchecked multiplication of xsize * ysize * bytes_per_pixel where the sizes are each an int as well as unchecked addition of the size calculated above with a attacker provided offset value.

Upstream patch:

https://github.com/python-pillow/Pillow/commit/c50ebe6459a131a1ea8ca531f10da616d3ceaa0f


Reproducible: Always
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-17 08:54:44 UTC
@python, ready to stabilize?
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2016-12-31 14:26:08 UTC
This issue was resolved and addressed in
 GLSA 201612-52 at https://security.gentoo.org/glsa/201612-52
by GLSA coordinator Thomas Deutschmann (whissi).